package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class SQLNotNullConstraint extends SQLConstraintImpl implements SQLColumnConstraint {
   protected void accept0(SQLASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public SQLNotNullConstraint clone() {
      SQLNotNullConstraint x = new SQLNotNullConstraint();
      super.cloneTo((SQLConstraintImpl)x);
      return x;
   }
}
